<template>
    <div style="scroll-padding-top: 20px !important;">
        <p v-if="configStore.getOptions()?.showPath">
          {{ treeStore.getPath() == '' ? "&nbsp;" : treeStore.getPath() }}
        </p>
        <div id="tree-container" >Tree</div>
    </div>
</template>

<script setup lang="ts">
  import { onMounted } from 'vue'
  import { useTreeStore } from '@/stores/TreeStore';
  import { useConfigStore } from '@/stores/ConfigStore';

  const treeStore = useTreeStore();
  const configStore = useConfigStore();

  onMounted(async () => treeStore.init("tree-container"))
</script>
